Icy Phoenix

     
 


Post new topic  Reply to topic 
Page 1 of 1
 
 
Reply with quote Download Post 
Post An Error Has Occurred During Installation 
 
I am trying to install icyphoenix but my hosting has mariadb and not MySQL. is there any solution for my case. sorry for my bad english

My Config

xampp

Windows 64 bit


includes/pdo_class_lib.php
Code: [Download] [Hide] [Select]
<?php

if (!defined('IN_ARCADE')) {die('Please use the front door');}

$db_options = array(
    PDO::ATTR_EMULATE_PREPARES => false,                //    important! use actual prepared statements (default: emulate prepared statements)
    PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION,        //    throw exceptions on errors (default: stay silent)
    PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC    //    fetch associative arrays (default: mixed arrays)
);

$database = new PDO('mysql:host='.$dbhost.';dbname='.$dbname.';charset=utf8', ''.$dbuser.'', ''.$dbpass.'', $db_options);    // important! specify the character encoding in the DSN string, don't use SET NAMES

?>


includes/config.php (Not Used)
Code: [Download] [Hide] [Select]
<?php

/**
* @package (c) 2008 - 2020 Gnu Arcade Script
* @version $Id: config.php Version.1.0
* @license http://www.fsf.org/ GNU lesser General Public Licence
*/

if (!defined('IN_ARCADE')) {die('Please use the front door');}

$dbhost = 'localhost'; // Database host - usually localhost
$dbuser = 'root'; // Database User Name
$dbpass = ''; // Database Password
$dbname = 'arcade'; // Database Name
$dbpre = 0;

// Change the table prefix ONLY if you are using one database for everything and there's a conflict with the prefix.


$table_prefix = 'gnu_';


// DO NOT Change the table ENGINE As it's ONLY here for future changes to the Db.

$engine = 'MyISAM';

include "config_lang.php";
include "pdo_class_lib.php";

?>

 



 
Last edited by mort on Sun 31 May, 2020 05:38; edited 1 time in total 
ktemanuelSend private message  
Back to topPage bottom
Icy Phoenix is an open source project, you can show your appreciation and support future development by donating to the project.

Support us
 
Reply with quote Download Post 
Post Re: An Error Has Occurred During Installation 
 
Hi,

Can you give us the error you get?
What's your MariaDB version?
 




____________
IcyPhoenix ADR RPGEzArena (modded phpBB2+ADR)
 
InformproSend private message  
Back to topPage bottom
Reply with quote Download Post 
Post Re: An Error Has Occurred During Installation 
 
https://imgur.com/gUCnPBL version mariadb is 10.2
 



 
ktemanuelSend private message  
Back to topPage bottom
Reply with quote Download Post 
Post Re: An Error Has Occurred During Installation 
 
Hi,

Did you pick mysqli while installing?
What Icy Phoenix version are you on?

I think you're on recent PHP (PHP 7), which doesn't support old mysql anymore.
Recent Icy Phoenix versions support the new one, called mysqli.
 




____________
IcyPhoenix ADR RPGEzArena (modded phpBB2+ADR)
 
InformproSend private message  
Back to topPage bottom
Reply with quote Download Post 
Post Re: An Error Has Occurred During Installation 
 
I think we need to release a new version... what do you think Informpro?

Currently only GIT version is supporting latest requirements.
 




____________
Luca
SEARCH is the quickest way to get support.
Icy Phoenix ColorizeIt - CustomIcy - HON
 
Mighty GorgonSend private messageSend e-mail to userVisit poster's website  
Back to topPage bottom
Reply with quote Download Post 
Post Re: An Error Has Occurred During Installation 
 
Informpro wrote: [View Post]
Hi,

Did you pick mysqli while installing?
What Icy Phoenix version are you on?

I think you're on recent PHP (PHP 7), which doesn't support old mysql anymore.
Recent Icy Phoenix versions support the new one, called mysqli.

it is a clean installation

Mighty Gorgon wrote: [View Post]
I think we need to release a new version... what do you think Informpro?

Currently only GIT version is supporting latest requirements.
that would be fantastic
Mighty Gorgon wrote: [View Post]
I think we need to release a new version... what do you think Informpro?

Currently only GIT version is supporting latest requirements.
that would be fantastic
 



 
ktemanuelSend private message  
Back to topPage bottom
Reply with quote Download Post 
Post Re: An Error Has Occurred During Installation 
 
Yes, I think it's time for a PHP7-ready version
 




____________
IcyPhoenix ADR RPGEzArena (modded phpBB2+ADR)
 
InformproSend private message  
Back to topPage bottom
Reply with quote Download Post 
Post Re: An Error Has Occurred During Installation 
 
This would be a great notice. I'm willing to migrate my server and the new settings are PHP 7.* so lots of warnings and errors.

Also, I'm trying to implement a syntax highlighter in the new versions of IP, as I have now Geshi in my old version forum 2.0.0.86). We need syntax highlight in several languages, as a programming forum, but Geshi seems to be abandoned. Looking for a more current highlighter.

What do you thing about implementing highlight.js? Would it be better to include actual code inside IP or as a plugin instead?

Best regards,

Jesus

P.D. Forum is at h**ps://gambas-es.org (since 2009, in Spanish, BTW)
 



 
jguardonSend private message  
Back to topPage bottom
Reply with quote Download Post 
Post Re: An Error Has Occurred During Installation 
 
Quote:
What do you thing about implementing highlight.js? Would it be better to include actual code inside IP or as a plugin instead?

Probably would be useful, I don't remember how the current highlighting works, but it's probably not up-to-date at all.
 




____________
IcyPhoenix ADR RPGEzArena (modded phpBB2+ADR)
 
InformproSend private message  
Back to topPage bottom
Post new topic  Reply to topic  Page 1 of 1
 


Display posts from previous:    

HideWas this topic useful?

Link this topic
URL
BBCode
HTML

HideSimilar Topics

Topic Author Forum Replies Last Post
This topic is locked: you cannot edit posts or make replies. Error In Installation ubhi Old Support Topics 1 Sun 06 May, 2007 02:56 View latest post
Zuker
This topic is locked: you cannot edit posts or make replies. Error In Installation ubhi Old Support Topics 2 Mon 07 May, 2007 01:09 View latest post
Mighty Gorgon
This topic is locked: you cannot edit posts or make replies. Installation Error. BAH Old Support Topics 6 Tue 21 Aug, 2007 15:38 View latest post
Mighty Gorgon
No new posts Installation Error wizzard Old Support Topics 2 Sat 05 Jan, 2008 05:59 View latest post
wizzard
No new posts An Error Has Occurred During Installation ... mort General Support 10 Thu 16 Jul, 2020 11:11 View latest post
mort




 
Permissions List
You cannot post new topics
You cannot reply to topics
You cannot edit your posts
You cannot delete your posts
You cannot vote in polls
You cannot attach files
You can download files
You cannot post calendar events


  

 

  cron